import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IGetChargesApprovalStatusParams } from '../types.js';
export declare class AccountantApprovalProvider {
    private db;
    constructor(db: TenantAwareDBClient);
    getChargesApprovalStatus(params: IGetChargesApprovalStatusParams): Promise<import("../types.js").IGetChargesApprovalStatusResult[]>;
}
